Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1362071 - [whql][viorng] job"Device Driver INF Verification Test(Certification) " failed w/ build 124
Summary: [whql][viorng] job"Device Driver INF Verification Test(Certification) " faile...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virtio-win
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: rc
: ---
Assignee: Ladi Prosek
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-01 09:25 UTC by Yu Wang
Modified: 2017-01-06 07:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-06 07:02:43 UTC


Attachments (Terms of Use)
124RNG-win8-32-fail (deleted)
2016-08-01 09:25 UTC, Yu Wang
no flags Details

Description Yu Wang 2016-08-01 09:25:45 UTC
Created attachment 1186313 [details]
124RNG-win8-32-fail

Description of problem:
job"Device Driver INF Verification Test(Certification) " failed w/ build 124 on all the guests

Version-Release number of selected component (if applicable):
virtio-win-prewhql-124

How reproducible:
4/4

Steps to Reproduce:
1. boot guest command:
/usr/libexec/qemu-kvm -name 124RNGBLUE32YZT -enable-kvm -m 6G -smp 4 -uuid 2b372491-faf9-4ee7-9c12-d7920569e535 -nodefconfig -nodefaults -chardev socket,id=charmonitor,path=/tmp/124RNGBLUE32YZT,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=localtime,driftfix=slew -boot order=cd,menu=on -device piix3-usb-uhci,id=usb,bus=pci.0,addr=0x1.0x2 -drive file=124RNGBLUE32YZT,if=none,id=drive-ide0-0-0,format=raw,serial=mike_cao,cache=none -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0 -drive file=en_windows_8_1_enterprise_x86_dvd_2972289.iso,if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 -drive file=124RNGBLUE32YZT.vfd,if=none,id=drive-fdc0-0-0,format=raw,cache=none -global isa-fdc.driveA=drive-fdc0-0-0 -netdev tap,script=/etc/qemu-ifup,downscript=no,id=hostnet0 -device e1000,netdev=hostnet0,id=net0,mac=00:52:54:55:85:25,bus=pci.0,addr=0x3 -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=isa_serial0 -device usb-tablet,id=input0 -vnc 0.0.0.0:2 -vga cirrus -object rng-random,filename=/dev/urandom,id=rng0 -device virtio-rng-pci,rng=rng0,disable-legacy=off,disable-modern=off


2. submit job
3.

Actual results:
failed as "The inf C:\Windows\Inf\oem1.inf had an error at line 104. Flag 0x10000 must be specified for 'CoInstallers32' registry key."

Expected results:
Pass

Additional info:

1 It could pass w/ build 122, so it is a regression bug
2 If it install w/ build 122 and upgrade to build 124, it could pass w/ build 124, when install build 124 on a clean system, it can not pass.
3 more info refer to the attachment

Comment 2 Ladi Prosek 2016-08-01 14:12:55 UTC
Interesting, the test passed when the inf file had a bug, and it fails after it's been fixed. We'll need to find another way.

Comment 3 Ladi Prosek 2016-08-04 07:24:14 UTC
This is fixed in build 125.

Comment 5 Yu Wang 2016-08-04 08:24:23 UTC
Hi

Retest with build 125 on win8-64, it can pass successfully, so this bug has been fixed.

Thanks
Yu Wang

Comment 6 lijin 2016-08-04 08:26:43 UTC
change status to verified according to comment#5

Comment 7 lijin 2017-01-06 07:02:43 UTC
close as this issue has already been fixed in rhel7.3 virtio-win package


Note You need to log in before you can comment on or make changes to this bug.